PayPoint
  1. Pay TV Subscription Payments
PayPoint
  • API Access Token
    • Retrieve Access Token
      POST
  • Pre-Paid Airtime Reload
    • Lookup Mobile Number Products
      POST
    • Fetch Airtime Transaction Receipts
      POST
    • Recharge Mobile Number
      POST
    • Fetch Latest Transaction
      POST
    • Lookup Mobile Number Products
      GET
    • Get Airtime Transaction Receipts
      GET
    • Get Transaction
      GET
    • Get Latest Transaction
      GET
    • Get All Products
      GET
    • Get Product Sku By Product ID
      GET
    • Get All Product Skus
      GET
    • Get Product Sku By ID
      GET
    • Get All Products By Operator Id
      GET
    • Get All Products By Country Code
      GET
  • Pay TV Subscription Payments
    • Fetch PayTV Transaction Receipts
      POST
    • Pay TV Subscription
      POST
    • Fetch Latest Pay TV Transaction
      POST
    • Lookup Pay TV Account
      POST
    • Get PayTV Transaction Receipts
      GET
    • Get Pay TV Transaction
      GET
    • Get Latest Pay TV Transaction
      GET
    • Lookup Pay TV Account
      GET
    • Lookup Pay TV Account Copy
      POST
  • Energy Voucher Purchase
    • Fetch Energy Transaction Receipts
      POST
    • Fetch Latest Energy Voucher Transaction
      POST
    • Purchase Energy Voucher
      POST
    • Lookup Energy Bill Payer Account
      POST
    • Get Energy Transaction Receipts
      GET
    • Get Energy Voucher Transaction
      GET
    • Get Latest Energy Voucher Transaction
      GET
    • Lookup Energy Bill Payer Account
      GET
  • Bill Presentation and Payments - Bill Payments
    • Get Customer Paid Bills
    • Pay Bill
    • Pre-Pay Bill Validation
    • Get Payment Details
  • Bill Presentation and Payments - Bill Charges
    • Calculate Bill Charges
  • Bill Presentation and Payments - Billers
    • Search Billing Company Details
    • Search Billing Company Details
    • Get Billing Company Details By Id
  • Bill Presentation and Payments - Bill Subscription
    • Subscribe to a Bill
    • Cancel Bill Subscription
  • Bill Presentation and Payments - Bill Enquiry
    • Search Bills By Search Criteria
    • Search Bill By Query Parameters
  • Schemas
    • Schemas
      • AccountBillTransactionReceiptCriteria
      • InstantFilter
      • StringFilter
      • Cause
      • ErrorResponse
      • BillPaymentDetail
      • BillPaymentOrderReceipt
      • BillPaymentReceiptResponse
      • EntityProfile
      • ItemPagination
      • ProductDetail
      • BillPayment
      • BillPaymentRequest
      • BillPaymentResponse
      • AccountNumberLookupRequest
      • AccountDetails
      • AccountResponse
      • EBPPBillPaymentResponse
      • AdditionalDataDetails
      • ChargeDetails
      • EBPPBillPaymentDetails
      • EBPPBillPaymentRequest
      • EBPPBillValidateResponse
      • EBPPCalculateBillChargesResponse
      • BillDetail
      • EBPPCalculateBillChargesRequest
      • AdditionalDataRequired
      • BillCompanyBasicDetail
      • EBPPBillerDetailsResponse
      • GenericLink
      • TransactionLinks
      • EBPPBillCompanyDetailSearchCriteria
      • EBPPBillSubscriptionRequest
      • AllowedSourceId
      • Bill
      • BillAccount
      • BillCompanyDetail
      • BillCustomerEntity
      • EBPPBillEnquiryResponse
      • EBPPBillEnquirySearchCriteria
      • SimInformation
      • TopUpDetail
      • TopUpOrderReceipt
      • TopUpReceiptsResponse
      • TopUp
      • TopUpRequest
      • TopUpResponse
      • MobileNumberLookupRequest
      • TopUpProduct
      • TopUpProductLookUpResponse
      • TopUpSku
      • EBPPPaymentHistoryResponse
      • PaymentHistoryDetail
      • DenominationRange
      • RechargeBundleProduct
      • RechargeBundleProductSku
      • RechargeProductCatalogueResponse
      • RechargeProductCatalogueSkuResponse
  1. Pay TV Subscription Payments

Lookup Pay TV Account

Testing Env
https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch
Testing Env
https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch
GET
https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch
/api/pay-tv/account/lookup/{accountNumber}
Maintainer:Not configured
Lookup a Pay TV account by account number.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200OK
*/*
Successfully retrieved account details
Body

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch/api/pay-tv/account/lookup/' \
--header 'X-ServiceAccount-ID: 123e4567-e89b-12d3-a456-426614174000' \
--header 'X-Organisation-ID: 123e4567-e89b-12d3-a456-426614174000' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "code": 0,
    "message": {},
    "data": {},
    "correlationId": "string",
    "conversationId": "string",
    "requestId": "string",
    "initiatorId": "string",
    "accountDetails": {
        "accountNumber": "string",
        "accountReferenceNumber": "string",
        "accountStatus": "string",
        "customerName": "string",
        "customerType": "string",
        "customerPhoneNumber": "string",
        "customerEmailAddress": "string",
        "serviceCode": "string",
        "serviceType": "string",
        "serviceProviderName": "string",
        "dueDate": "2019-08-24T14:15:22.123Z",
        "agreementAmount": 0,
        "dueAmount": 0,
        "accountBalance": 0,
        "countryCode": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "state": "string",
        "region": "string",
        "zipCode": "string",
        "country": "string",
        "vatNumber": "string"
    },
    "isSuccessful": true
}
Modified at 2025-07-10 05:30:41
Previous
Get Latest Pay TV Transaction
Next
Lookup Pay TV Account Copy
Built with